%
%  Add phase arrivals if requested by user
%
        if (metadata.iflag_phases)
           del = metadata.distgc;
           az = metadata.azimuth;

           WinStartYear = str2num(metadata.str_time_beginit(1:4));
           WinStartMonth = str2num(metadata.str_time_beginit(6:7));
           WinStartDay = str2num(metadata.str_time_beginit(9:10));
           WinStartHour = str2num(metadata.str_time_beginit(12:13));
           WinStartMinute = str2num(metadata.str_time_beginit(15:16));
           WinStartSecond = str2num(metadata.str_time_beginit(18:19));

           WinEndYear = str2num(metadata.str_time_endit(1:4));
           WinEndMonth = str2num(metadata.str_time_endit(6:7));
           WinEndDay = str2num(metadata.str_time_endit(9:10));
           WinEndHour = str2num(metadata.str_time_endit(12:13));
           WinEndMinute = str2num(metadata.str_time_endit(15:16));
           WinEndSecond = str2num(metadata.str_time_endit(18:19));

           eventEpoch       = metadata.eventEpoch;

           WinEndJday        = jday(WinEndYear, WinEndMonth, WinEndDay); % get julian day
           WinEndEpoch       = epoch(WinEndYear,WinEndJday,WinEndHour,WinEndMinute,WinEndSecond); %now, translate all events times into epochal

           WinStartJday        = jday(WinStartYear, WinStartMonth, WinStartDay); % get julian day
           WinStartEpoch       = epoch(WinStartYear,WinStartJday,WinStartHour,WinStartMinute,WinStartSecond); %now, translate all events times into epochal

           movieStartEpoch = WinStartEpoch;
           movieEndEpoch = WinEndEpoch;

           yy = get(gca,'Ylim');
           smin = yy(1);
           smax = yy(2);
           smin = smin - 0.01 * abs(smin);
           smax = smax + 0.01 * abs(smax);
           %phaseSpacing          = 200;        % number of seconds between two consecutive phases to avoid over plots
           phaseSpacing = 10*60;        % number of seconds between two consecutive phases to avoid over plots

           oldPhaseTime=-999;
           shift=0.7;
           hold on

           for i=1:length(phaseTime)
              phaseEpoch = metadata.eventEpoch+phaseTime(i).time;
              if(phaseEpoch < movieStartEpoch || phaseEpoch > movieEndEpoch)
                 continue;
              else
                 phaseT = double(phaseEpoch - movieStartEpoch);
              end;
              if(debug)
                 fprintf('[INFO] phase time #%d: %d %s\n',i,phaseTime(i).time,phaseTime(i).phaseName);
                 fprintf('[INFO] phase oldtime time spacing #%d: %d %d %d\n',i,oldPhaseTime,phaseSpacing);
              end; % if debug
              if(i > 1)
                 if(~strcmp(phaseTime(i).phaseName, phaseTime(i-1).phaseName) && (phaseT-oldPhaseTime) > phaseSpacing)
                    %plot ([phaseT,phaseT],[smin,smax*0.8],'blue'); % the blue phase line
                    %plot ([phaseT,phaseT],[smin,smax*shift],'blue'); % the blue phase line
                    %plot ([phaseT,phaseT],[0,smax*shift],'blue'); % the blue phase line
                    plot ([phaseT,phaseT],[0,smax*shift*0.8],'blue'); % the blue phase line
                    text(phaseT, smax*shift, phaseTime(i).phaseName, 'Color', 'blue','fontsize',9);
                    oldPhaseTime = phaseT;

                    % shift phase vertical alignment for a better readbility
                    if(shift == 0.7)
                       shift=0.6;
                    else
                       shift=0.7;
                    end
                 end;
              else
                 %plot ([phaseT,phaseT],[smin,smax*0.8],'blue'); % the blue phase line
                 %plot ([phaseT,phaseT],[smin,smax*shift],'blue'); % the blue phase line
                 %plot ([phaseT,phaseT],[0,smax*shift],'blue'); % the blue phase line
                 plot (time_offset + [phaseT,phaseT],[0,smax*shift*0.8],'blue'); % the blue phase line
                 text(time_offset + phaseT, smax*shift, phaseTime(i).phaseName, 'Color', 'blue','fontsize',9);
                 oldPhaseTime = phaseT;
                 % shift phase vertical alignment for a better readbility
                 if(shift == 0.7)
                    shift=0.6;
                 else
                    shift=0.7;
                 end
              end;
           end; % end for length(iphase)
%
% R1 & R2 & I
%
           if exist('eventEpoch','var')
              %shift=1.1;
              shift=0.7;
              r1Time = (metadata.distgc * rSlowness);
              r1Epoch = eventEpoch+r1Time;
              if(debug)
                 fprintf('[INFO] r1 phase time #%d %d %d\n',r1Time,r1Epoch,eventEpoch);
              end; % if debug
              if(r1Epoch >= movieStartEpoch && r1Epoch <= movieEndEpoch) 
                 r1T = double(r1Epoch - movieStartEpoch);
                 if(debug)
                    fprintf('[INFO] r1Epoch movieStartEpoch r1T %d %d %d\n',r1Epoch,movieStartEpoch,r1T);
                 end; % if debug
                 if(del > 20)
                      %plot ([r1T,r1T],[smin,smax*0.8],'blue'); % the blue phase line 
                      %plot ([r1T,r1T],[smin,smax*shift],'blue'); % the blue phase line 
                      plot (time_offset + [r1T,r1T],[0,smax*shift*0.8],'blue'); % the blue phase line 
                      text(time_offset + r1T, smax*shift, 'R1', 'Color', 'blue','fontsize',9);
                 end; 
              end  

              r2Time = ((360 - metadata.distgc) * rSlowness);
              r2Epoch = eventEpoch+r2Time;
              if(r2Epoch >= movieStartEpoch && r2Epoch <= movieEndEpoch) 
                 r2T = double(r2Epoch - movieStartEpoch);
                 if(del > 20)
                      %plot ([r2T,r2T],[smin,smax*0.8],'blue'); % the blue phase line 
                      %plot ([r2T,r2T],[smin,smax*shift],'blue'); % the blue phase line 
                      %plot ([r2T,r2T],[0,smax*shift],'blue'); % the blue phase line 
                      plot (time_offset + [r2T,r2T],[0,smax*shift*0.8],'blue'); % the blue phase line 
                      text(time_offset + r2T, smax*shift, 'R2', 'Color', 'blue','fontsize',9);
                 end; 
              end; 

%              disp('Hmmm ... what is this ... comment out for now ...')
%                 if(strcmp(technology,'INFRA'))
%                    iTime = metadata.distgc * iSlowness;
%                    if( iTime < tmax)
%                         plot (time_offset + [iTime,iTime],[smin,smax*0.8],'blue'); % the blue phase line 
%                         text(time_offset + r2Time, smax*shift, 'I', 'Color', 'blue','fontsize',9);
%                    end; 
%                 end; 

            end;

        end
